Preparation data for Van den Hoogen et al. 2023

* Stata version
version 17

****PLEASE READ******
*THE DATA FOR THE PREMEASURES ARE AVAILABLE VIA THIS LINK: https://www.dataarchive.lissdata.nl/study_units/view/1402 
*THE DATA FOR THE SURVEY EXPERIMENT ARE AVAILABLE VIA THIS LINK: https://www.dataarchive.lissdata.nl/study_units/view/1418 
****PLEASE READ*****

* MAKE SURE THAT THE DIRECTORY IN WHICH THE DATA ARE STORED IS THE CURRENT DIRECTORY

********************************************************************************
*********************Import data + opening log **********************************
********************************************************************************

* make sure package usespss is installed
use "uz22a_EN_1.0p.dta"

*Opening log
log using "DATA PREP - REVISION - EU policy experiment.smcl", replace

********************************************************************************
************************    Change ID number   *********************************
******************************************************************************** 

*Change name respondents
clonevar idnr = nomem_encr

*Check the amount of respondents who have filled out the survey
sum idnr
*Total number of respondents is 1,587

********************************************************************************
*************************** Merge data *****************************************
********************************************************************************

* Combine both datasets
merge 1:1 idnr using "Premeasures EU policy experiment data - revision.dta"
drop _merge 
sum idnr
*now 2,218 respondents

*only keep the respondents who are part of the experiment in the second survey
drop if random==.
sum idnr
*now 1,587 respondents

* Save replication data under new name
save "Replication data Van den Hoogen et al -- REVISION -- EU policy.dta", replace

log close

exit
